MCP Tools Reference: gmailmcp.googleapis.com

ツール: create_label

認証済みユーザーの Gmail アカウントに新しいラベルを作成します。

次のサンプルは、curl を使用して create_label MCP ツールを呼び出す方法を示しています。

Curl リクエスト
curl --location 'https://gmailmcp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "create_label",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

入力スキーマ

CreateLabel RPC のリクエスト メッセージ。

CreateLabelRequest

JSON 表現
{
  "displayName": string
}
フィールド
displayName

string

必須。作成するラベルの表示名。

出力スキーマ

ラベルの詳細。

ラベル

JSON 表現
{
  "labelId": string,
  "name": string
}
フィールド
labelId

string

ラベルの一意の識別子。

name

string

人が読める形式のラベルの表示名。

ツールのアノテーション

破壊的ヒント: ❌ | べき等ヒント: ❌ | 読み取り専用ヒント: ❌ | オープン ワールド ヒント: ❌